function GetMinimapShape() return "SQUARE" end

local dummy = function() end

local frames = {
    MinimapZoomIn,
    MinimapZoomOut,
	MinimapToggleButton,
	MinimapBorderTop,
	MiniMapWorldMapButton,
	GameTimeFrame,
	MinimapZoneTextButton,
	MinimapNorthTag,
	MinimapBorder,
	MiniMapTrackingBackground,
	MiniMapTrackingShine,
	MiniMapTrackingBorder,
	MiniMapVoiceChatFrameBackground,
	MiniMapVoiceChatFrameBorder,
    DurabilityFrame,
}



--[[Here goes the voodoo]]

--Square Time
	Minimap:SetMaskTexture("Interface\\AddOns\\vMinimap\\Textures\\Mask.blp" )
-- Hide ugly shit 
    for _, frame in pairs(frames) do
		frame:Hide()
		frame.Show = dummy
	end

--[[Modify Tracking Icon]]
	local frame = MiniMapTracking
        frame:ClearAllPoints()
        frame:SetPoint("TOPLEFT", Minimap, "TOPLEFT", -4, 4)
        frame:SetScale(0.75)
        frame:SetAlpha(0.75)
	
--[[Modify Mail Icon]]
	local frame = MiniMapMailFrame
        frame:ClearAllPoints()
        frame:SetPoint("TOPRIGHT", Minimap, "TOPRIGHT", 6, 4)
	local _,tex = frame:GetRegions()
        tex:SetTexture(nil)
        frame:SetAlpha(0.5)

-- [[Modify BG Icon]]
	local frame = MiniMapBattlefieldFrame
        frame:ClearAllPoints()
        frame:SetPoint("TOPRIGHT", Minimap, "TOPRIGHT",-20, 4)
	local _,tex = frame:GetRegions()
        tex:SetTexture(nil)
        frame:SetAlpha(0.5)
	
--[[ Modify Voice Icon]]
	local frame = MiniMapVoiceChatFrame
        frame:ClearAllPoints()
        frame:SetPoint("TOPLEFT", Minimap, "TOPLEFT",15, 4)
	local _,tex = frame:GetRegions()
        tex:SetTexture(nil)
        frame:SetAlpha(0.5)
	
--[[Apply Backdrop]]
    local thickness = 2.5
	local bg = Minimap:CreateTexture(nil,"BACKGROUND")
    bg:SetTexture(0,0,0,1)
    bg:SetPoint("TOPLEFT", Minimap, "TOPLEFT", -thickness, thickness)
    bg:SetPoint("BOTTOMRIGHT", Minimap, "BOTTOMRIGHT", thickness, -thickness)

	
--[[ Mousewheel Zoom]]
	local MinimapZoom = CreateFrame("Frame", nil, Minimap)
	MinimapZoom:SetFrameStrata("LOW")
	MinimapZoom:EnableMouse(false)
	MinimapZoom:SetPoint("TOPLEFT", Minimap, "TOPLEFT")
	MinimapZoom:SetPoint("BOTTOMRIGHT", Minimap, "BOTTOMRIGHT")
	MinimapZoom:EnableMouseWheel(true)
	MinimapZoom:SetScript("OnMouseWheel", function()
		if arg1 > 0 then MinimapZoomIn:Click()
		elseif arg1 < 0 then MinimapZoomOut:Click() end
	end)
    
--[[Moving time]]
	MinimapCluster:SetMovable(true)
	MinimapCluster:SetUserPlaced(true)

	Minimap:SetScript("OnMouseDown", function()
		if(IsAltKeyDown()) then
			MinimapCluster:ClearAllPoints()
			MinimapCluster:StartMoving()
		else
			Minimap_OnClick()
		end
	end)
    Minimap:SetScript("OnMouseUp", function()
		MinimapCluster:StopMovingOrSizing()
	end)
